Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.controls
Interface RepoSearchControl<T>

All Superinterfaces
  SearchControl<T>

All Known Subinterfaces:
  CmExpressionSearchControl, ExpressionSearchControl<T>, GsExpressionSearchControl<T>

    public interface RepoSearchControl<T>

extends SearchControl<T>

A base control interface that allows configuration of parameters for searches restricted to the BEA repository (ies). It also provides methods for accessing more information about the ObjectClasses (content type) in the repository.

- ObjectClass
- Search path (optional)

Method Summary
`Map<String,com.bea.content.ObjectClass>` | `getAvailableObjectClasses()` Show available ObjectClasses
`Set<String>` | `getObjectClassProperties(String objectClassName)` Return the set of searchable property names available for this ObjectClass.
`com.bea.content.PropertyDefinition[]` | `getObjectClassPropertyDefinitions(String objectClassName)` Get all of the property definitions that belong to the specified object class
`void` | `setSearchPath(String path)` Search paths are automatically set for some controls, such as the GroupSpace controls.
`void` | `setSearchPaths(String[] paths)` Search paths are automatically set for some controls, such as the GroupSpace controls.

Methods inherited from interface com.bea.apps.groupspace.search.controls.SearchControl
`asList, asSet, flushSearchCache, getSortCriteria, setSortCriteria`

Method Detail

### setSearchPath

    void setSearchPath(String path)

  Search paths are automatically set for some controls, such as the GroupSpace controls. If you want to override those defaults, set either this or searchPaths() but not both.

### setSearchPaths

    void setSearchPaths(String[] paths)

  Search paths are automatically set for some controls, such as the GroupSpace controls. If you want to override those defaults, set either this or searchPath() but not both

### getAvailableObjectClasses

    Map<String,com.bea.content.ObjectClass> getAvailableObjectClasses()

  Show available ObjectClasses

### getObjectClassProperties

    Set<String> getObjectClassProperties(String objectClassName)
                                         throws com.bea.content.AuthorizationException

  Return the set of searchable property names available for this ObjectClass. This is useful in constructing search expressions such as (TITLE == 'My Special Link'

  Returns
    the alphabetically sorted set of ObjectClass property definition names, or null if no viewable ObjectClass were found.
  Throws
    `com.bea.content.AuthorizationException` - if user is not allowed to view properties of that ObjectClass

### getObjectClassPropertyDefinitions

    com.bea.content.PropertyDefinition[] getObjectClassPropertyDefinitions(String objectClassName)
                                                                           throws com.bea.content.AuthorizationException,
                                                                                  com.bea.content.NoSuchObjectClassException

  Get all of the property definitions that belong to the specified object class

  Throws
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchObjectClassException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved